Bug 822327 - Review Request: mediainfo - Supplies technical and tag information about a video or audio file
Review Request: mediainfo - Supplies technical and tag information about a vi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: 822328 822329
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 01:21 EDT by Vasiliy Glazov
Modified: 2014-04-05 22:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: mediainfo-0.7.67-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-05 15:37:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vasiliy Glazov 2012-05-17 01:21:23 EDT
Spec URL: https://github.com/RussianFedora/mediainfo/blob/master/mediainfo.spec
SRPM URL: http://koji.russianfedora.ru/packages/mediainfo/0.7.57/1.fc17.R/src/mediainfo-0.7.57-1.fc17.R.src.rpm
Description:

What information can I get from MediaInfo?
* General: title, author, director, album, track number, date, duration...
* Video: codec, aspect, fps, bitrate...
* Audio: codec, sample rate, channels, language, bitrate...
* Text: language of subtitle
* Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
* Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP,
  H.264, AVC...)
* Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* Subtitles: SRT, SSA, ASS, SAMI


I need a sponsor for include this package in Fedora.
Comment 1 Michael Schwendt 2012-05-18 05:34:50 EDT
Could you try to check the packages with the help of the
  https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
?
Comment 2 Vasiliy Glazov 2012-05-18 06:06:53 EDT
I checked it, the package matches the requirements.
Comment 4 Vasiliy Glazov 2013-04-23 05:54:55 EDT
Spec URL: https://raw.github.com/RussianFedora/mediainfo/master/mediainfo.spec
SRPM URL: http://koji.russianfedora.ru/packages/mediainfo/0.7.62/2.fc18.R/src/mediainfo-0.7.62-2.fc18.R.src.rpm

- Removed dos2unix from BR
- Correcting encoding for all files
- Corrected config and build
Comment 7 Christopher Meng 2014-02-25 01:35:03 EST
URL: http://mediaarea.net/MediaInfo

autoreconf -i --> autoreconf -fiv

Why:

%package gui
Summary:    Supplies technical and tag information about a video or audio file (GUI)
Summary(ru):Предоставляет полную информацию о медиа файле (GUI)
Group:      Applications/Multimedia
Requires:   libzen >= 0.4.29
Requires:   libmediainfo >= %{version}

?
Comment 8 Vasiliy Glazov 2014-02-25 01:41:37 EST
What why? I am not understand your question.
Comment 9 Christopher Meng 2014-02-25 01:44:21 EST
(In reply to Vasiliy Glazov from comment #8)
> What why? I am not understand your question.

Ignore it sorry.

Please provide a new SRPM since the original URL is down.
Comment 10 Vasiliy Glazov 2014-02-25 01:59:16 EST
Spec URL: https://raw.github.com/RussianFedora/mediainfo/master/mediainfo.spec
SRPM URL: ftp://vascom.myftp.org:8021/downloads/mediainfo-0.7.67-2.fc20.R.src.rpm

Done autoreconf -i --> autoreconf -fiv.
Corrected URLs.
Comment 11 Christopher Meng 2014-02-27 01:47:41 EST
Since libmediainfo hasn't arrived here, some comments:

1. No scriptlets for icon related refresh.

2. desktop-file-install --dir="%{buildroot}%{_datadir}/applications" -m 644

Why does "-m 644" appear?

3. install -m 644 -p Project/GNU/GUI/mediainfo-gui.kde4.desktop \
    %{buildroot}%{_datadir}/kde4/services/ServiceMenus/mediainfo-gui.desktop

You should do this by desktop-file-install or validate also.

4. Suggestion, use ImageMagick to convert pixmaps to various sizes, not only 128x128 IMO, excerpt from my spec:

for size in 96x96 72x72 64x64 48x48 32x32 24x24 22x22 16x16 ; do
    install -pdm755 \
        %{buildroot}%{_datadir}/icons/hicolor/${size}/apps
    convert -resize ${size} %{S:2} \
        %{buildroot}%{_datadir}/icons/hicolor/${size}/apps/%{name}.png
done

Note that this is just an example.
Comment 12 Vasiliy Glazov 2014-02-27 03:02:51 EST
Spec URL: https://raw.github.com/RussianFedora/mediainfo/master/mediainfo.spec
SRPM URL: http://koji.russianfedora.pro/kojifiles/work/tasks/877/877/mediainfo-0.7.67-3.fc21.R.src.rpm

1. Scriptlet for icons added.
2. -m 644 removed.
3. https://lists.fedoraproject.org/pipermail/packaging/2012-July/008556.html
desktop-file validation is only required for stuff under 
/usr/share/applications
4. Done. Thanks :)
Comment 13 Christopher Meng 2014-03-03 21:50:59 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in mediainfo-gui
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 144 files have unknown
     license. Detailed output of licensecheck:

GPL (v2 or later)
-----------------
MediaInfo/Project/GNU/CLI/ltmain.sh
MediaInfo/Project/GNU/GUI/ltmain.sh

Unknown or generated
--------------------
MediaInfo/Project/GNU/CLI/AddThisToRoot_CLI_compile.sh
MediaInfo/Project/GNU/GUI/AddThisToRoot_GUI_compile.sh
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/moc_about.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/moc_columneditsheet.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/moc_easyviewwidget.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/moc_editconfigtreetext.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/moc_editcustom.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/moc_editsheet.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/moc_export.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/moc_graphwidget.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/moc_mainwindow.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/moc_preferences.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/moc_sheetview.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/qrc_Resources.cpp
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/ui_about.h
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/ui_editconfigtreetext.h
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/ui_editcustom.h
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/ui_editsheet.h
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/ui_export.h
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/ui_mainwindow.h
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/ui_preferences.h
MediaInfo/Project/MSVC2010/MediaInfo_Qt/_Automated/ui_sheetview.h
MediaInfo/Release/Release_CLI_GNU_FromSource.sh
MediaInfo/Release/Release_CLI_Linux_IA64.sh
MediaInfo/Release/Release_CLI_Linux_i386.sh
MediaInfo/Release/Release_CLI_Linux_x64.sh
MediaInfo/Release/Release_CLI_Mac_Intel.sh
MediaInfo/Release/Release_CLI_Mac_PPC.sh
MediaInfo/Release/Release_CLI_Mac_Universal.sh
MediaInfo/Release/Release_GNU_GNU.sh
MediaInfo/Release/Release_GUI_GNU_FromSource.sh
MediaInfo/Release/Release_GUI_Linux_i386.sh
MediaInfo/Release/Release_GUI_Linux_x64.sh
MediaInfo/Release/Release_GUI_Mac_Intel.sh
MediaInfo/Release/Release_GUI_Mac_PPC.sh
MediaInfo/Release/Release_GUI_Mac_Universal.sh
MediaInfo/Source/CLI/CLI_Main.cpp
MediaInfo/Source/CLI/CLI_Main.h
MediaInfo/Source/CLI/CommandLine_Parser.cpp
MediaInfo/Source/CLI/CommandLine_Parser.h
MediaInfo/Source/CLI/Config.h
MediaInfo/Source/CLI/Help.cpp
MediaInfo/Source/CLI/Help.h
MediaInfo/Source/Common/Core.cpp
MediaInfo/Source/Common/Core.h
MediaInfo/Source/Common/Preferences.cpp
MediaInfo/Source/Common/Preferences.h
MediaInfo/Source/Common/Utils.cpp
MediaInfo/Source/Common/Utils.h
MediaInfo/Source/Common/Utilsx.cpp
MediaInfo/Source/GUI/Common/GUI_Main_Common_Core.cpp
MediaInfo/Source/GUI/Common/GUI_Main_Common_Core.h
MediaInfo/Source/GUI/Common/GUI_Main_Easy_Box_Core.cpp
MediaInfo/Source/GUI/Common/GUI_Main_Easy_Box_Core.h
MediaInfo/Source/GUI/Common/GUI_Main_Easy_Core.cpp
MediaInfo/Source/GUI/Common/GUI_Main_Easy_Core.h
MediaInfo/Source/GUI/Qt/about.cpp
MediaInfo/Source/GUI/Qt/about.h
MediaInfo/Source/GUI/Qt/columneditsheet.cpp
MediaInfo/Source/GUI/Qt/columneditsheet.h
MediaInfo/Source/GUI/Qt/configtreetext.cpp
MediaInfo/Source/GUI/Qt/configtreetext.h
MediaInfo/Source/GUI/Qt/custom.cpp
MediaInfo/Source/GUI/Qt/custom.h
MediaInfo/Source/GUI/Qt/easyviewwidget.cpp
MediaInfo/Source/GUI/Qt/easyviewwidget.h
MediaInfo/Source/GUI/Qt/editconfigtreetext.cpp
MediaInfo/Source/GUI/Qt/editconfigtreetext.h
MediaInfo/Source/GUI/Qt/editcustom.cpp
MediaInfo/Source/GUI/Qt/editcustom.h
MediaInfo/Source/GUI/Qt/editsheet.cpp
MediaInfo/Source/GUI/Qt/editsheet.h
MediaInfo/Source/GUI/Qt/export.cpp
MediaInfo/Source/GUI/Qt/export.h
MediaInfo/Source/GUI/Qt/main.cpp
MediaInfo/Source/GUI/Qt/mainwindow.cpp
MediaInfo/Source/GUI/Qt/mainwindow.h
MediaInfo/Source/GUI/Qt/preferences.cpp
MediaInfo/Source/GUI/Qt/preferences.h
MediaInfo/Source/GUI/Qt/sheet.cpp
MediaInfo/Source/GUI/Qt/sheet.h
MediaInfo/Source/GUI/Qt/sheetview.cpp
MediaInfo/Source/GUI/Qt/sheetview.h
MediaInfo/Source/GUI/Qt/translate.cpp
MediaInfo/Source/GUI/Qt/translate.h
MediaInfo/Source/GUI/Qt/views.cpp
MediaInfo/Source/GUI/Qt/views.h
MediaInfo/Source/GUI/VCL/GUI_About.cpp
MediaInfo/Source/GUI/VCL/GUI_About.h
MediaInfo/Source/GUI/VCL/GUI_Export.cpp
MediaInfo/Source/GUI/VCL/GUI_Export.h
MediaInfo/Source/GUI/VCL/GUI_Main.cpp
MediaInfo/Source/GUI/VCL/GUI_Main.h
MediaInfo/Source/GUI/VCL/GUI_Preferences.cpp
MediaInfo/Source/GUI/VCL/GUI_Preferences.h
MediaInfo/Source/GUI/VCL/GUI_Preferences_Custom.cpp
MediaInfo/Source/GUI/VCL/GUI_Preferences_Custom.h
MediaInfo/Source/GUI/VCL/GUI_Preferences_Language.cpp
MediaInfo/Source/GUI/VCL/GUI_Preferences_Language.h
MediaInfo/Source/GUI/VCL/GUI_Preferences_Output.cpp
MediaInfo/Source/GUI/VCL/GUI_Preferences_Output.h
MediaInfo/Source/GUI/VCL/GUI_Preferences_Sheet.cpp
MediaInfo/Source/GUI/VCL/GUI_Preferences_Sheet.h
MediaInfo/Source/GUI/VCL/GUI_Web.cpp
MediaInfo/Source/GUI/VCL/GUI_Web.h
MediaInfo/Source/GUI/VCL_New/GUI_Main.cpp
MediaInfo/Source/GUI/VCL_New/GUI_Main.h
MediaInfo/Source/GUI/VCL_New/GUI_Main_Easy.cpp
MediaInfo/Source/GUI/VCL_New/GUI_Main_Easy.h
MediaInfo/Source/GUI/VCL_New/GUI_Main_HTML.cpp
MediaInfo/Source/GUI/VCL_New/GUI_Main_HTML.h
MediaInfo/Source/GUI/VCL_New/GUI_Main_Text.cpp
MediaInfo/Source/GUI/VCL_New/GUI_Main_Text.h
MediaInfo/Source/GUI/VCL_New/GUI_Main_Tree.cpp
MediaInfo/Source/GUI/VCL_New/GUI_Main_Tree.h
MediaInfo/Source/GUI/WxWidgets/App.cpp
MediaInfo/Source/GUI/WxWidgets/App.h
MediaInfo/Source/GUI/WxWidgets/GUI_Main.cpp
MediaInfo/Source/GUI/WxWidgets/GUI_Main.h
MediaInfo/Source/GUI/WxWidgets/GUI_Main_Easy.cpp
MediaInfo/Source/GUI/WxWidgets/GUI_Main_Easy.h
MediaInfo/Source/GUI/WxWidgets/GUI_Main_Easy_Box.cpp
MediaInfo/Source/GUI/WxWidgets/GUI_Main_Easy_Box.h
MediaInfo/Source/GUI/WxWidgets/GUI_Main_FileDrop.cpp
MediaInfo/Source/GUI/WxWidgets/GUI_Main_FileDrop.h
MediaInfo/Source/GUI/WxWidgets/GUI_Main_HTML.cpp
MediaInfo/Source/GUI/WxWidgets/GUI_Main_HTML.h
MediaInfo/Source/GUI/WxWidgets/GUI_Main_Menu.cpp
MediaInfo/Source/GUI/WxWidgets/GUI_Main_Sheet.cpp
MediaInfo/Source/GUI/WxWidgets/GUI_Main_Sheet.h
MediaInfo/Source/GUI/WxWidgets/GUI_Main_Text.cpp
MediaInfo/Source/GUI/WxWidgets/GUI_Main_Text.h
MediaInfo/Source/GUI/WxWidgets/GUI_Main_Tree.cpp
MediaInfo/Source/GUI/WxWidgets/GUI_Main_Tree.h
MediaInfo/Source/PreRelease/Language_All.cpp
MediaInfo/Source/PreRelease/Language_All.h
MediaInfo/Source/PreRelease/Language_Others.cpp
MediaInfo/Source/PreRelease/Language_Others.h
MediaInfo/Source/PreRelease/VCL/PreRelease_.cpp
MediaInfo/Source/PreRelease/VCL/PreRelease_.h
MediaInfo/Source/PreRelease/WxWidgets/App.cpp
MediaInfo/Source/PreRelease/WxWidgets/App.h
MediaInfo/Source/PreRelease/WxWidgets/GUI_Main.cpp
MediaInfo/Source/PreRelease/WxWidgets/GUI_Main.h

[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/72x72/apps, /usr/share/icons/hicolor/72x72,
     /usr/share/icons/hicolor/22x22/apps, /usr/share/icons/hicolor/32x32/apps,
     /usr/share/icons/hicolor/24x24/apps, /usr/share/kde4/services,
     /usr/share/icons/hicolor/24x24, /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/64x64, /usr/share/icons/hicolor/96x96/apps,
     /usr/share/icons/hicolor/16x16, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor, /usr/share/icons/hicolor/96x96,
     /usr/share/icons/hicolor/128x128, /usr/share/kde4/services/ServiceMenus,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor/16x16/apps,
     /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
     /usr/share/kde4, /usr/share/icons/hicolor/48x48
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in mediainfo-gui
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 215040 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Checking: mediainfo-0.7.67-3.fc21.i686.rpm
          mediainfo-gui-0.7.67-3.fc21.i686.rpm
          mediainfo-0.7.67-3.fc21.src.rpm
mediainfo.i686: I: enchant-dictionary-not-found ru
mediainfo.i686: W: spelling-error %description -l en_US codec -> codex, code, codes
mediainfo.i686: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
mediainfo.i686: W: spelling-error %description -l en_US DivX -> Div X, Div, Dive
mediainfo.i686: W: file-not-utf8 /usr/share/doc/mediainfo/History_CLI.txt
mediainfo.i686: W: no-manual-page-for-binary mediainfo
mediainfo-gui.i686: W: spelling-error %description -l en_US codec -> codex, code, codes
mediainfo-gui.i686: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
mediainfo-gui.i686: W: spelling-error %description -l en_US DivX -> Div X, Div, Dive
mediainfo-gui.i686: W: file-not-utf8 /usr/share/doc/mediainfo-gui/History_GUI.txt
mediainfo-gui.i686: W: no-manual-page-for-binary mediainfo-gui
mediainfo.src: W: spelling-error %description -l en_US codec -> codex, code, codes
mediainfo.src: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
mediainfo.src: W: spelling-error %description -l en_US DivX -> Div X, Div, Dive
3 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mediainfo mediainfo-gui
mediainfo.i686: I: enchant-dictionary-not-found ru
mediainfo.i686: W: spelling-error %description -l en_US codec -> codex, code, codes
mediainfo.i686: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
mediainfo.i686: W: spelling-error %description -l en_US DivX -> Div X, Div, Dive
mediainfo.i686: W: file-not-utf8 /usr/share/doc/mediainfo/History_CLI.txt
mediainfo.i686: W: no-manual-page-for-binary mediainfo
mediainfo-gui.i686: W: spelling-error %description -l en_US codec -> codex, code, codes
mediainfo-gui.i686: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
mediainfo-gui.i686: W: spelling-error %description -l en_US DivX -> Div X, Div, Dive
mediainfo-gui.i686: W: file-not-utf8 /usr/share/doc/mediainfo-gui/History_GUI.txt
mediainfo-gui.i686: W: no-manual-page-for-binary mediainfo-gui
2 packages and 0 specfiles checked; 0 errors, 10 warnings.
# echo 'rpmlint-done:'



Requires
--------
mediainfo (rpmlib, GLIBC filtered):
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libmediainfo.so.0
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libz.so.1
    libzen.so.0
    rtld(GNU_HASH)

mediainfo-gui (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libmediainfo(x86-32)
    libmediainfo.so.0
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libwx_baseu-2.8.so.0
    libwx_baseu-2.8.so.0(WXU_2.8)
    libwx_baseu_net-2.8.so.0
    libwx_baseu_xml-2.8.so.0
    libwx_gtk2u_adv-2.8.so.0
    libwx_gtk2u_aui-2.8.so.0
    libwx_gtk2u_core-2.8.so.0
    libwx_gtk2u_core-2.8.so.0(WXU_2.8)
    libwx_gtk2u_html-2.8.so.0
    libwx_gtk2u_html-2.8.so.0(WXU_2.8)
    libwx_gtk2u_qa-2.8.so.0
    libwx_gtk2u_richtext-2.8.so.0
    libwx_gtk2u_xrc-2.8.so.0
    libz.so.1
    libzen(x86-32)
    libzen.so.0
    rtld(GNU_HASH)



Provides
--------
mediainfo:
    mediainfo
    mediainfo(x86-32)

mediainfo-gui:
    application()
    application(mediainfo-gui.desktop)
    mediainfo-gui
    mediainfo-gui(x86-32)



Source checksums
----------------
http://mediaarea.net/download/source/mediainfo/0.7.67/mediainfo_0.7.67.tar.bz2 :
  CHECKSUM(SHA256) this package     : fad1256d7607e233948df7709702cf550c791a7f01373f5d3a01028900b039c7
  CHECKSUM(SHA256) upstream package : fad1256d7607e233948df7709702cf550c791a7f01373f5d3a01028900b039c7


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn mediainfo-0.7.67-3.fc21.R.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

---------------------------------
1. Fix update-desktop-database issue.

2. Fix rpmlint encoding issue.

3. Add missing hicolor icon theme requires.

4. Hint:

%install
pushd Project/GNU/CLI
    %make_install
popd

pushd Project/GNU/GUI
    %make_install
popd

You can try -C option. ;)
Comment 14 Vasiliy Glazov 2014-03-04 01:13:10 EST
1. Will be done.
2. utf8 encoding issue will be fixed in next upstream release.
3. Why I need add hicolor-icon-theme to Requires?
4. Leave as is.

It's OK?
Comment 15 Christopher Meng 2014-03-04 10:57:22 EST
Because:

[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/72x72/apps, /usr/share/icons/hicolor/72x72,
     /usr/share/icons/hicolor/22x22/apps, /usr/share/icons/hicolor/32x32/apps,
     /usr/share/icons/hicolor/24x24/apps, /usr/share/kde4/services,
     /usr/share/icons/hicolor/24x24, /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/64x64, /usr/share/icons/hicolor/96x96/apps,
     /usr/share/icons/hicolor/16x16, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor, /usr/share/icons/hicolor/96x96,
     /usr/share/icons/hicolor/128x128, /usr/share/kde4/services/ServiceMenus,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor/16x16/apps,
     /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
     /usr/share/kde4, /usr/share/icons/hicolor/48x48
Comment 16 Vasiliy Glazov 2014-03-04 12:49:03 EST
I must add it to Requires or to Buildrequires.
Comment 17 Christopher Meng 2014-03-04 23:27:57 EST
PACKAGE APPROVED.
Comment 18 Vasiliy Glazov 2014-03-05 00:00:46 EST
New Package SCM Request
=======================
Package Name: mediainfo
Short Description: Supplies technical and tag information about a video or audio file
Owners: vascom
Branches: f19 f20 el6
InitialCC:
Comment 19 Jon Ciesla 2014-03-06 08:21:56 EST
Git done (by process-git-requests).
Comment 20 Fedora Update System 2014-03-07 01:27:03 EST
mediainfo-0.7.67-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mediainfo-0.7.67-3.fc20
Comment 21 Fedora Update System 2014-03-07 01:40:15 EST
mediainfo-0.7.67-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mediainfo-0.7.67-3.fc19
Comment 22 Fedora Update System 2014-03-07 22:31:33 EST
mediainfo-0.7.67-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 23 Fedora Update System 2014-03-20 04:04:00 EDT
mediainfo-0.7.67-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mediainfo-0.7.67-3.el6
Comment 24 Fedora Update System 2014-04-05 15:37:14 EDT
mediainfo-0.7.67-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 25 Fedora Update System 2014-04-05 22:34:37 EDT
mediainfo-0.7.67-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 26 Fedora Update System 2014-04-05 22:36:34 EDT
mediainfo-0.7.67-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.